DataSourceFilter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.filterresult

## Class DataSourceFilter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.filterresult.DataSourceFilter

- All Implemented Interfaces:
    ResultFilterPanelInterface

      public class DataSourceFilter
      extends Object
      implements ResultFilterPanelInterface

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    - ### Fields inherited from interface org.gcube.portlets.user.speciesdiscovery.client.filterresult.ResultFilterPanelInterface

      `DEFAULTMARGIN, DEFAULTMARGINLEFT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createToolBar()`
    `String` | `getName()`
    `com.extjs.gxt.ui.client.widget.ContentPanel` | `getPanel()`
    `void` | `loadDataSource(HashMap<String,Integer> result)`
    `void` | `reloadDataSort()`
    `void` | `reset()`
    `void` | `setEventBus(com.google.gwt.event.shared.EventBus eventBus)`
    `void` | `setHeaderTitle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceFilter

          public DataSourceFilter()

  - ### Method Detail

    - #### getPanel

          public com.extjs.gxt.ui.client.widget.ContentPanel getPanel()

      Specified by:
        `getPanel` in interface `ResultFilterPanelInterface`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ResultFilterPanelInterface`

    - #### setHeaderTitle

          public void setHeaderTitle()

      Specified by:
        `setHeaderTitle` in interface `ResultFilterPanelInterface`

    - #### reset

          public void reset()

    - #### loadDataSource

          public void loadDataSource(HashMap<String,Integer> result)

      Specified by:
        `loadDataSource` in interface `ResultFilterPanelInterface`

    - #### setEventBus

          public void setEventBus(com.google.gwt.event.shared.EventBus eventBus)

    - #### reloadDataSort

          public void reloadDataSort()

    - #### createToolBar

          public void createToolBar()

Copyright © 2013. All Rights Reserved.